Bug 52621 - Typo in exception message in PKCS12.cs
Summary: Typo in exception message in PKCS12.cs
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: Mono.Security (show other bugs)
Version: master
Hardware: PC Linux
: --- normal
Target Milestone: Untriaged
Assignee: Alexander Köplinger [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2017-02-19 15:46 UTC by Julian Rüth
Modified: 2017-06-13 23:47 UTC (History)
3 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
proposed patch (1.03 KB, patch)
2017-02-19 16:00 UTC, Julian Rüth
Details

Description Julian Rüth 2017-02-19 15:46:27 UTC
PKCS12.cs currently contains the line:
throw new CryptographicException ("Invalid MAC - file may have been tampe red!");
The line should read something like:
throw new CryptographicException ("Invalid MAC - file may have been tampered with!");
Comment 1 Julian Rüth 2017-02-19 16:00:47 UTC
Created attachment 19880 [details]
proposed patch
Comment 2 Alexander Köplinger [MSFT] 2017-06-13 23:47:09 UTC
Thanks, I applied the patch in master. Sorry for the long delay, I must've missed this in my inbox :)

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.